/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////

// PropSh.cpp : implementation file
//

#include "stdafx.h"
#include "afxmt.h"
#include "Undelete.h"
#include "DriveProp.h"
#include "Prop.h"
#include "PropSh.h"
#include "BinHeader.h"
#include "UndelDoc.h"
#include "Listvwex.h"
#include "UndelVw.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropSh

IMPLEMENT_DYNAMIC(CPropSh, CPropertySheet)

CPropSh::CPropSh(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CPropSh::CPropSh(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}

CPropSh::~CPropSh()
{
}


BEGIN_MESSAGE_MAP(CPropSh, CPropertySheet)
	//{{AFX_MSG_MAP(CPropSh)
	ON_WM_HSCROLL()
	ON_WM_ACTIVATE()
	ON_BN_CLICKED(ID_APPLY_NOW, OnApplyNow)
	ON_BN_CLICKED(IDOK, OnOkay)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPropSh message handlers

void CPropSh::OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized) 
{
	CPropertySheet::OnActivate(nState, pWndOther, bMinimized);
	
	// TODO: Add your message handler code here
	
}


void CPropSh::SetCallbackWindow( CWnd *CallbackWindow )
{
	m_CallbackWindow = CallbackWindow;
}

void CPropSh::OnApplyNow()
{
	((CUndeleteView *)m_CallbackWindow)->ApplyGlobal(this);
}

void CPropSh::OnOkay()
{
	((CUndeleteView *)m_CallbackWindow)->ApplyGlobal(this);
	EndDialog( IDOK );
}
