/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROPSH_H__95D970A3_53F6_11D2_A5A5_00E081100E97__INCLUDED_)
#define AFX_PROPSH_H__95D970A3_53F6_11D2_A5A5_00E081100E97__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PropSh.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPropSh

class CPropSh : public CPropertySheet
{
	DECLARE_DYNAMIC(CPropSh)

// Construction
public:
	CWnd * m_CallbackWindow;
	CPropSh(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	void SetCallbackWindow( CWnd *CallbackWindow );
	CPropSh(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	void OnOkay();


// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPropSh)
	//}}AFX_VIRTUAL

// Implementation
public:
	CProp		* m_GlobalPropertyPage;
	CDriveProp * m_DrivePropertyPages[26];
	virtual ~CPropSh();
	void OnApplyNow();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPropSh)
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPSH_H__95D970A3_53F6_11D2_A5A5_00E081100E97__INCLUDED_)
